import { TOptionsBase } from 'i18next';
import { $Dictionary } from 'i18next/typescript/helpers';
export interface IL10n {
    get(key: string | string[], options?: object): string;
    getLanguage(): string;
    getDirection(): 'ltr' | 'rtl';
}
export type Translator = {
    translate: (key: string, options?: object) => string;
};
export type Translatable = {
    translator: Translator;
};
export declare class L10n implements IL10n {
    constructor();
    get(key: string | string[], options?: (TOptionsBase & $Dictionary)): string;
    getLanguage(): string;
    getDirection(): "ltr" | "rtl";
}
